Start an agent signup and get a trial key
curl --request POST \
--url https://api.vaquill.ai/api/v1/agent/signup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"agentName": "<string>"
}
'import requests
url = "https://api.vaquill.ai/api/v1/agent/signup"
payload = {
"email": "jsmith@example.com",
"agentName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', agentName: '<string>'})
};
fetch('https://api.vaquill.ai/api/v1/agent/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vaquill.ai/api/v1/agent/signup"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\",\n \"agentName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"keyPrefix": "<string>",
"keyId": "<string>",
"scopes": [
"<string>"
],
"registrationId": "<string>",
"apiKey": "<string>",
"docsUrl": "<string>",
"openapiUrl": "<string>",
"mcpUrl": "<string>",
"trial": {
"credits": 100,
"expiresAt": "<string>"
},
"userCode": "BCDF-GHJK",
"verificationUri": "https://app.vaquill.ai/claim",
"claimToken": "<string>",
"tokenUrl": "<string>",
"verifyUrl": "<string>",
"codeEmailed": true,
"interval": 5,
"expiresIn": 604800,
"freeCredits": {
"credits": 123,
"usd": "<string>",
"validDays": 123,
"onePerPerson": true
},
"instructions": "<string>"
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}{
"detail": "Insufficient API credits.",
"errors": [
{
"loc": [
"body",
"query"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "insufficient_credits",
"type": "https://www.vaquill.ai/docs/errors/insufficient_credits",
"title": "Insufficient credits",
"status": 402,
"requestId": "8d32789e-7b27-44f7-9523-424596e7a929",
"retryable": false,
"retryAfterSeconds": 30,
"actId": "UNKNOWN_99999",
"reason": "not_in_registry",
"didYouMean": [
"<string>"
],
"sessionLawId": "Pub. L. 117-58",
"defaultSessionLawId": "us1_ca_2019_ch_123",
"candidateCount": 3,
"truncated": false,
"jurisdictions": [
"<string>"
],
"sessionCoverage": {},
"creditsRequired": 5,
"creditsAvailable": 2,
"topUpHint": "Add credits in the developer dashboard, then retry the same request."
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}{
"detail": "Insufficient API credits.",
"errors": [
{
"loc": [
"body",
"query"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "insufficient_credits",
"type": "https://www.vaquill.ai/docs/errors/insufficient_credits",
"title": "Insufficient credits",
"status": 402,
"requestId": "8d32789e-7b27-44f7-9523-424596e7a929",
"retryable": false,
"retryAfterSeconds": 30,
"actId": "UNKNOWN_99999",
"reason": "not_in_registry",
"didYouMean": [
"<string>"
],
"sessionLawId": "Pub. L. 117-58",
"defaultSessionLawId": "us1_ca_2019_ch_123",
"candidateCount": 3,
"truncated": false,
"jurisdictions": [
"<string>"
],
"sessionCoverage": {},
"creditsRequired": 5,
"creditsAvailable": 2,
"topUpHint": "Add credits in the developer dashboard, then retry the same request."
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}Start an agent signup and get a trial key
Free. No API key. Returns apiKey at once, on a trial with 100 credits that ends in 7 days, and emails a 6-digit code to email. Verify the email to keep the same key and add the one-time 1000 free credits: POST the code with claimToken to verifyUrl if you can read that inbox (or your human reads it to you), or show your human userCode and verificationUri and poll tokenUrl. Full walkthrough: https://api.vaquill.ai/auth.md
POST
/
api
/
v1
/
agent
/
signup
Start an agent signup and get a trial key
curl --request POST \
--url https://api.vaquill.ai/api/v1/agent/signup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"agentName": "<string>"
}
'import requests
url = "https://api.vaquill.ai/api/v1/agent/signup"
payload = {
"email": "jsmith@example.com",
"agentName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', agentName: '<string>'})
};
fetch('https://api.vaquill.ai/api/v1/agent/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vaquill.ai/api/v1/agent/signup"
payload := strings.NewReader("{\n \"email\": \"jsmith@example.com\",\n \"agentName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"keyPrefix": "<string>",
"keyId": "<string>",
"scopes": [
"<string>"
],
"registrationId": "<string>",
"apiKey": "<string>",
"docsUrl": "<string>",
"openapiUrl": "<string>",
"mcpUrl": "<string>",
"trial": {
"credits": 100,
"expiresAt": "<string>"
},
"userCode": "BCDF-GHJK",
"verificationUri": "https://app.vaquill.ai/claim",
"claimToken": "<string>",
"tokenUrl": "<string>",
"verifyUrl": "<string>",
"codeEmailed": true,
"interval": 5,
"expiresIn": 604800,
"freeCredits": {
"credits": 123,
"usd": "<string>",
"validDays": 123,
"onePerPerson": true
},
"instructions": "<string>"
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}{
"detail": "Insufficient API credits.",
"errors": [
{
"loc": [
"body",
"query"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "insufficient_credits",
"type": "https://www.vaquill.ai/docs/errors/insufficient_credits",
"title": "Insufficient credits",
"status": 402,
"requestId": "8d32789e-7b27-44f7-9523-424596e7a929",
"retryable": false,
"retryAfterSeconds": 30,
"actId": "UNKNOWN_99999",
"reason": "not_in_registry",
"didYouMean": [
"<string>"
],
"sessionLawId": "Pub. L. 117-58",
"defaultSessionLawId": "us1_ca_2019_ch_123",
"candidateCount": 3,
"truncated": false,
"jurisdictions": [
"<string>"
],
"sessionCoverage": {},
"creditsRequired": 5,
"creditsAvailable": 2,
"topUpHint": "Add credits in the developer dashboard, then retry the same request."
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}{
"detail": "Insufficient API credits.",
"errors": [
{
"loc": [
"body",
"query"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "insufficient_credits",
"type": "https://www.vaquill.ai/docs/errors/insufficient_credits",
"title": "Insufficient credits",
"status": 402,
"requestId": "8d32789e-7b27-44f7-9523-424596e7a929",
"retryable": false,
"retryAfterSeconds": 30,
"actId": "UNKNOWN_99999",
"reason": "not_in_registry",
"didYouMean": [
"<string>"
],
"sessionLawId": "Pub. L. 117-58",
"defaultSessionLawId": "us1_ca_2019_ch_123",
"candidateCount": 3,
"truncated": false,
"jurisdictions": [
"<string>"
],
"sessionCoverage": {},
"creditsRequired": 5,
"creditsAvailable": 2,
"topUpHint": "Add credits in the developer dashboard, then retry the same request."
}{
"code": "authorization_pending",
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"requestId": "<string>",
"retryable": true,
"retryAfterSeconds": 123
}Authorizations
Body
application/json
Response
Successful Response
Was this page helpful?

